<!--
IGAC proyecto SNC

@author fredy.wilches
@version 2.0
@description Formulario de ejecución  
@cu CU-CO-V-01

-->
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- 		author: david.cifuentes 			-->
<!-- Gestionar datos del predio - Detalle referencia cartografica 	-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" width="100%"
             id="detalleReferenciaCartograficaPanel">

    <h:form id="detalleReferenciaCartograficaForm">

        <h:panelGrid columns="1" cellspacing="5">

            <p:messages id="msgReferenciaCarto" showDetail="false" globalOnly="false" />

            <h:panelGrid columns="4" width="100%" cellspacing="5">

                <h:outputLabel value="Plancha No. "
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                <h:inputText
                    value="#{managedBeanParam.referenciaCartograficaSeleccionada.plancha}"
                    id="planchaNumero" required="true"
                    label="Número de plancha"
                    style="width:150px;height:14px;" />
                <p:message for="planchaNumero" display="icon" />

                <h:outputLabel value="Foto No. "
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                <h:inputText
                    value="#{managedBeanParam.referenciaCartograficaSeleccionada.foto}"
                    id="fotoNumero" required="true"
                    label="Número de foto"
                    style="width:150px;height:14px;" />
                <p:message for="fotoNumero" display="icon" />

                <h:outputLabel value="Vuelo "
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                <h:inputText
                    value="#{managedBeanParam.referenciaCartograficaSeleccionada.vuelo}"
                    id="vuelo" required="true"
                    label="Vuelo"
                    style="width:150px;height:14px;" />
                <p:message for="vuelo" display="icon" />

            </h:panelGrid>

            <h:panelGrid columns="1" cellspacing="5" width="100%">
                <p:commandButton value="Aceptar" id="aceptarReferenciaBtn"
                                 icon="ui-icon-check"
                                 update=":tabView1:gestionarUbicacionDelTramite:tablaReferenciasCartograficas,:detalleReferenciaCartograficaForm,:tabView1:gestionarUbicacionDelTramite:panelReferenciaCarto"
                                 action="#{managedBeanParam.guardarReferenciaCartografica}"
                                 oncomplete="handleCompleteSIC(xhr, status, args, detalleReferenciaCartograficaWV, false)">
                </p:commandButton>
            </h:panelGrid>
        </h:panelGrid>

    </h:form>

</h:panelGrid>
